# SERVICE: project_export:deter/a::project=TIED
# SERVICE: project_export:deter/b::project=SAFER
# SERVICE: seer_master:deter/a:deter/a,deter/b
# SERVICE: local_seer_control:deter/a
# SERVICE: local_seer_control:deter/b
set ns [new Simulator]
source tb_compat.tcl

set a [$ns node]
set b [$ns node]
set c [$ns node]
set d [$ns node]
set e [$ns node]

set deter_os "Ubuntu1004-STD"
set seer_tar "/users/faber/seer-deploy/seer-u10-current.tgz"

tb-set-node-os $a $deter_os
tb-set-node-testbed $a "deter/a"
tb-set-node-tarfiles $a "/usr/local/" $seer_tar
tb-set-node-startcmd $a "sudo python /usr/local/seer/experiment-setup.py Basic"


tb-set-node-os $b $deter_os
tb-set-node-testbed $b "deter/a"
tb-set-node-tarfiles $b "/usr/local" $seer_tar
tb-set-node-startcmd $b "sudo python /usr/local/seer/experiment-setup.py Basic"


tb-set-node-os $c $deter_os
tb-set-node-testbed $c "deter/b"
tb-set-node-tarfiles $c "/usr/local" $seer_tar
tb-set-node-startcmd $c "sudo python /usr/local/seer/experiment-setup.py Basic"


tb-set-node-os $d $deter_os
tb-set-node-testbed $d "deter/b"
tb-set-node-tarfiles $d "/usr/local" $seer_tar
tb-set-node-startcmd $d "sudo python /usr/local/seer/experiment-setup.py Basic"


tb-set-node-os $e $deter_os
tb-set-node-testbed $e "deter/b"
tb-set-node-tarfiles $e "/usr/local" $seer_tar
tb-set-node-startcmd $e "sudo python /usr/local/seer/experiment-setup.py Basic"



set link0 [ $ns duplex-link $a $b 100Mb 0ms DropTail]
set link1 [ $ns duplex-link $c $b 100Mb 0ms DropTail]
set lan0 [ $ns make-lan "$c $d $e" 100Mb 0ms ]

$ns rtproto Static
$ns run

